SuSE 11.1 Security Update : hplip (SAT Patch Number 5307)

Low Nessus Plugin ID 57107


The remote SuSE 11 host is missing one or more security updates.


This update provides an update of hplip to version 3.11.10 :

- Fixed insecure tmp file handling in hpcupsfax.cpp CVE-2011-2722 see

- New tech classes for HP OfficeJet Pro 8100, HP Deskjet 3070 B611 series and HP Photosmart 7510 e-All-in-One.

- Added new subtech class for HP Photosmart 6510 e-All-in-one.

- Modified the error message which was displayed in case of missing .asc file for manual plug-in install.

- Several more supported printers and all-in-one devices.

- Several bug fixies. For details see


Apply SAT patch number 5307.

See Also

Plugin Details

Severity: Low

ID: 57107

File Name: suse_11_hplip-111019.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2011/12/13

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.2

Vector: CVSS2#AV:L/AC:H/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:hplip, p-cpe:/a:novell:suse_linux:11:hplip-hpijs, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/10/19

Reference Information

CVE: CVE-2011-2722